Skip to main content
GET
Get tokens for a given cardId

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

cardId
string
required

CardId for given card

Query Parameters

auditUser
string
required

The audit user to log the request

Response

Successful lookup of tokens for given card id

tokenUniqueReferenceId
string

Token unique reference id

tokenRequestorId
string

Identifier used by merchants and wallet providers to request tokens from the TSP

tokenNumber
string

Scheme assigned token number.

tokenId
string<bigint>

Enfuce generated token ID from the scheme provided message. This ID is used within Enfuce systems for tracking, support, and operational purposes.

walletProvider
string

Wallet provider name

status
enum<string>
  • ACTIVE - Available for payments
  • DEACTIVATED - Permanently deactivated
  • INACTIVE - Waiting for activation
  • SUSPENDED - Temporarily not available for payments
  • SOFTDELETED - Deleted from consumer device
Available options:
ACTIVE,
DEACTIVATED,
INACTIVE,
SUSPENDED,
SOFTDELETED
deviceInfo
object | null

Information about the device a token is provisioned to. Present only for tokens bound to a physical device (e.g. mobile wallets such as Apple Pay, Google Pay, Samsung Pay). Null for tokens not provisioned to a device (for example, cloud tokens such as Visa Click to Pay).